package com.zd.system.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * major对象 sys_major
 *
 * @author zd
 * @date 2021-12-10
 */
@ApiModel("major")
public class SysMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 专业名称 */
    @Excel(name = "专业名称")
    @Length(message = "专业名称长度不能超过500")
    @ApiModelProperty(value = "专业名称")
    private String majorName;
    /** 专业代码 */
    @Excel(name = "专业代码")
    @Length(message = "专业代码长度不能超过500")
    @ApiModelProperty(value = "专业代码")
    private String majorCode;
    /** 所属组织结构(学院id) */
    @Excel(name = "所属组织结构(学院id)")
    @ApiModelProperty(value = "所属组织结构(学院id)")
    private Long deptId;
    /** 组织结构名称(学院名称) */
    @Excel(name = "组织结构名称(学院名称)")
    @Length(message = "组织结构名称(学院名称)长度不能超过500")
    @ApiModelProperty(value = "组织结构名称(学院名称)")
    private String deptName;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMajorName(String majorName)
    {
        this.majorName = majorName;
    }

    public String getMajorName()
    {
        return majorName;
    }
    public void setMajorCode(String majorCode)
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode()
    {
        return majorCode;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("majorName", getMajorName())
            .append("majorCode", getMajorCode())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("createTime", getCreateTime())
            .toString();
    }
}
